Kstat2.Kstat2MatcherList (JNA API)
Description: declaration: package: com.sun.jna.platform.unix.solaris, interface: Kstat2, class: Kstat2MatcherList

Package com.sun.jna.platform.unix.solaris

# Class Kstat2.Kstat2MatcherList

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.platform.unix.solaris.Kstat2.Kstat2MatcherList

All Implemented Interfaces:
  `NativeMapped`

Enclosing interface:
  Kstat2

public static class Kstat2.Kstat2MatcherList extends PointerType
Opaque kstat match list.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Kstat2MatcherList()`
  Instantiates a new Kstat2MatcherList, allocating the necessary resources.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `addMatcher(int type, String match)`
  Convenience method for `Kstat2.kstat2_add_matcher(int, String, Kstat2MatcherList)` that adds matchers to the provided matcher list.
  `int`
  `free()`
  Convenience method for `Kstat2.kstat2_free_matcher_list(PointerByReference)` that frees the resources associated with the matcher list.

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Kstat2MatcherList

    public Kstat2MatcherList()
    Instantiates a new Kstat2MatcherList, allocating the necessary resources. Convenience method for `Kstat2.kstat2_alloc_matcher_list(PointerByReference)`.

    It is the caller's responsibility to free this matcher list by calling `free()`.

- ## Method Details

  - ### addMatcher

    public int addMatcher(int type, String match)
    Convenience method for `Kstat2.kstat2_add_matcher(int, String, Kstat2MatcherList)` that adds matchers to the provided matcher list. Each call appends the new matcher to the provided matcher list. Matches are on kstat URI, with the following match types supported: `Kstat2.KSTAT2_M_STRING` which performs a direct `strcmp` with the kstat URI, `Kstat2.KSTAT2_M_GLOB` which performs a glob pattern match using `gmatch`, and `Kstat2.KSTAT2_M_RE` which performs a Perl Compatible Regular Expression (PCRE) match using `pcre_exec`.
    Parameters:
      `type` - The type of matcher, from the `kstat2_match_type_t` enumeration.
      `match` - The string to match.
    Returns:
      Upon successful completion, returns a int value of `Kstat2.KSTAT2_S_OK`. If an error occurs a value other than KSTAT2_S_OK is returned.

  - ### free

    public int free()
    Convenience method for `Kstat2.kstat2_free_matcher_list(PointerByReference)` that frees the resources associated with the matcher list.
    Returns:
      Upon successful completion, returns a int value of `Kstat2.KSTAT2_S_OK`. If an error occurs a value other than KSTAT2_S_OK is returned.